BusinessChecksReceived Checks
List Received Checks
GET
Scopes: check:read
OAuth2ClientCredentialsBearer check:readheader
AuthorizationBearer <token>Scope: check:read
business_id*Business IdThe id of the business
Format
biz_stringcustomer_id?|Filter checks by customer
received_at_start?|Include checks received on or after this date in ISO-8601 format
received_at_end?|Include checks received before this date in ISO-8601 format
status?|array<string>|Filter checks by one or more statuses, comma-separated
page_token?|nullpage_size?Page SizeRange
1 <= value <= 100Default
100Successful Response
application/json- response
data*array<>pagination*curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/received-checks'Example Response
{ "data": [ { "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7", "payer": "Acme Corp", "customer_id": "cus_WQMDNUHpBThYSNh4AprDBo", "amount": 400, "currency": "USD", "check_number": "2207", "payer_routing_number": "021000021", "payer_account_number": "000123456789", "received_at": "2019-08-24T14:15:22Z", "memo": "Invoice INV-1001", "voided_at": "2019-08-24T14:15:22Z", "created_by": "string", "id": "rck_WQMDNUHpBThYSNh4AprDBo", "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ", "void_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo", "deposit_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo", "deposited_at": "2019-08-24T14:15:22Z", "return_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo", "returned_at": "2019-08-24T14:15:22Z", "invoice_payments": [ { "invoice_id": "inv_Lq5AyApd4pdL1VvakpY5aJ", "payment_amount": 400 } ], "status": "received" } ], "pagination": { "next_page_token": "string", "previous_page_token": "string" }}